summaryrefslogtreecommitdiffstats
path: root/test/testssl
diff options
context:
space:
mode:
authorBodo Möller <bodo@openssl.org>1999-06-12 01:03:40 +0000
committerBodo Möller <bodo@openssl.org>1999-06-12 01:03:40 +0000
commit95d29597b7cc2ec3653811b1a659094b4831f96b (patch)
tree0959b7b48af2cbf172b0f6a2ab35f86e503c3ef6 /test/testssl
parent9bce3070acf81a2890ec7a6c94b97094691b5038 (diff)
BIO pairs.
Diffstat (limited to 'test/testssl')
-rw-r--r--test/testssl37
1 files changed, 36 insertions, 1 deletions
diff --git a/test/testssl b/test/testssl
index f115adb8e1..255ae5e976 100644
--- a/test/testssl
+++ b/test/testssl
@@ -36,5 +36,40 @@ echo test sslv2/sslv3 with client authentication
echo test sslv2/sslv3 with both client and server authentication
./ssltest -server_auth -client_auth -CApath ../certs || exit 1
-exit 0
+echo test sslv2 via BIO pair
+./ssltest -bio_pair -ssl2 || exit 1
+
+echo test sslv2 with server authentication via BIO pair
+./ssltest -bio_pair -ssl2 -server_auth -CApath ../certs || exit 1
+
+echo test sslv2 with client authentication via BIO pair
+./ssltest -bio_pair -ssl2 -client_auth -CApath ../certs || exit 1
+
+echo test sslv2 with both client and server authentication via BIO pair
+./ssltest -bio_pair -ssl2 -server_auth -client_auth -CApath ../certs || exit 1
+
+echo test sslv3 via BIO pair
+./ssltest -bio_pair -ssl3 || exit 1
+
+echo test sslv3 with server authentication via BIO pair
+./ssltest -bio_pair -ssl3 -server_auth -CApath ../certs || exit 1
+
+echo test sslv3 with client authentication via BIO pair
+./ssltest -bio_pair -ssl3 -client_auth -CApath ../certs || exit 1
+
+echo test sslv3 with both client and server authentication via BIO pair
+./ssltest -bio_pair -ssl3 -server_auth -client_auth -CApath ../certs || exit 1
+echo test sslv2/sslv3 via BIO pair
+./ssltest || exit 1
+
+echo test sslv2/sslv3 with server authentication
+./ssltest -bio_pair -server_auth -CApath ../certs || exit 1
+
+echo test sslv2/sslv3 with client authentication via BIO pair
+./ssltest -bio_pair -client_auth -CApath ../certs || exit 1
+
+echo test sslv2/sslv3 with both client and server authentication via BIO pair
+./ssltest -bio_pair -server_auth -client_auth -CApath ../certs || exit 1
+
+exit 0